#ifndef __B2_CLIP_VERTEX_H__
#define __B2_CLIP_VERTEX_H__

/// \brief Create b2ClipVertex instance
b2ClipVertex *b2ClipVertex_Create();

/// \brief Destroy b2ClipVertex instance
///
/// @param clipVertex The b2ClipVertex to destroy
void b2ClipVertex_Destroy(b2ClipVertex *clipVertex);

/// \brief Set b2ClipVertex V
///
/// @param clipVertex The b2ClipVertex instance
/// @param V The new V value
void b2ClipVertex_SetV(b2ClipVertex *clipVertex, const VECTOR *v);

/// \brief Get b2ClipVertex v
///
/// @param clipVertex The b2ClipVertex instance
/// @param outV A preinitialized vector to receive the value
void b2ClipVertex_GetV(b2ClipVertex *clipVertex, VECTOR *outV);

#endif //__B2_CLIP_VERTEX_H__
