#ifndef __B2_DISTANCE_INPUT_H__
#define __B2_DISTANCE_INPUT_H__

/// \brief Create an instance of b2DistanceInput
///
/// @return An instance of b2DistanceInput that can be used with all manipulator functions
b2DistanceInput *b2DistanceInput_Create();

/// \brief Destroy an instance of b2DistanceInput
///
/// @param input The b2DistanceInut Instance to be destroyed
void b2DistanceInput_Destroy(b2DistanceInput *input);

/// \brief Set b2DistanceInput first b2DistanceProxy
///
/// @param input The b2DistanceInut Instance
/// @param proxyA The new b2DistanceProxy value (values are copied)
void b2DistanceInput_SetProxyA(b2DistanceInput *input,const b2DistanceProxy *proxyA);

/// \brief Get b2DistanceInput first b2DistanceProxy
///
/// @param input The b2DistanceInut Instance
/// @param outProxy A preinitialized b2DistanceProxy to receive the value of b2DistanceInput first proxy
void b2DistanceInput_GetProxyA(b2DistanceInput *input, b2DistanceProxy *outProxy);

/// \brief Set b2DistanceInput second b2DistanceProxy
///
/// @param input The b2DistanceInut Instance
/// @param proxyB The new b2DistanceProxy value (values are copied)
void b2DistanceInput_SetProxyB(b2DistanceInput *input,const b2DistanceProxy *proxyB);

/// \brief Get b2DistanceInput first b2DistanceProxy
///
/// @param input The b2DistanceInut Instance
/// @param outProxy A preinitialized b2DistanceProxy to receive the value of b2DistanceInput second proxy
void b2DistanceInput_GetProxyB(b2DistanceInput *input, b2DistanceProxy *outProxy);

/// \brief Set b2DistanceInput first b2Transform
///
/// @param input The b2DistanceInut Instance
/// @param transformA The new b2Transform value (values are copied)
void b2DistanceInput_SetTransformA(b2DistanceInput *input,const b2Transform *transformA);

/// \brief Get b2DistanceInput first b2Transform
///
/// @param input The b2DistanceInut Instance
/// @param outTransform A preinitialized b2Transform to receive the value of b2DistanceInput first transform
void b2DistanceInput_GetTransformA(b2DistanceInput *input, b2Transform *outTransform);

/// \brief Set b2DistanceInput second b2Transform
///
/// @param input The b2DistanceInut Instance
/// @param transformA The new b2Transform value (values are copied)
void b2DistanceInput_SetTransformB(b2DistanceInput *input,const b2Transform *transformB);

/// \brief Get b2DistanceInput second b2Transform
///
/// @param input The b2DistanceInut Instance
/// @param outTransform A preinitialized b2Transform to receive the value of b2DistanceInput second transform
void b2DistanceInput_GetTransformB(b2DistanceInput *input, b2Transform *outTransform);

/// \brief Set b2DistanceInput useRadii value
///
/// @param input The b2DistanceInut Instance
/// @param useRadii The new useRadii value
void b2DistanceInput_SetUseRadii(b2DistanceInput *input, var useRadii);

/// \brief Get b2DistanceInput useRadii value
///
/// @param input The b2DistanceInut Instance
/// @return The current useRadii value
var b2DistanceInput_GetUseRadii(b2DistanceInput *input);

#endif //__B2_DISTANCE_INPUT_H__
