#ifndef __B2_MANIFOLD_POINT_H__
#define __B2_MANIFOLD_POINT_H__

/// \brief Create a b2ManifoldPoint instance
b2ManifoldPoint *b2ManifoldPoint_Create();

/// \brief Destroy b2ManifoldPoint
///
/// @param point The b2ManifoldPoint isntance
void b2ManifoldPoint_Destroy(b2ManifoldPoint *point);

/// \brief Set b2ManifoldPoint local point
///
/// @param point The b2ManifoldPoint instance
/// @param p The new point location
void b2ManifoldPoint_SetLocalPoint(b2ManifoldPoint *point, const VECTOR *p);

/// \brief Get b2ManifoldPoint local point
///
/// @param point The b2ManifoldPoint instance
/// @param outp A preinitialized vector to receive the result
void b2ManifoldPoint_GetLocalPoint(b2ManifoldPoint *point, VECTOR *outp);

/// \brief Set b2ManifoldPoint normal impulse
///
/// @param point The b2ManifoldPoint instance
/// @param var The new normalImpulse value
void b2ManifoldPoint_SetNormalImpulse(b2ManifoldPoint *point, var normalImpulse);

/// \brief Get b2ManifoldPoint normal impulse
///
/// @param point The b2ManifoldPoint instance
/// @return var The current normalImpulse value
var b2ManifoldPoint_GetNormalImpulse(b2ManifoldPoint *point);

/// \brief Set b2ManifoldPoint tangent impulse
///
/// @param point The b2ManifoldPoint instance
/// @param var The new tangentImpulse value
void b2ManifoldPoint_SetTangentImpulse(b2ManifoldPoint *point, var tangentImpulse);

/// \brief Get b2ManifoldPoint tangent impulse
///
/// @param point The b2ManifoldPoint instance
/// @return var The current tangentImpulse value
var b2ManifoldPoint_GetTangentImpulse(b2ManifoldPoint *point);

#endif //__B2_MANIFOLD_POINT_H__
