#ifndef __B2_TOIINPUT_H__
#define __B2_TOIINPUT_H__

/// \brief Create b2TOIInput
b2TOIInput *b2TOIInput_Create();

/// \brief Destroy b2
///
/// @param input The b2TOIInput element to destroy
void b2TOIInput_Destroy(b2TOIInput *input);

/// \brief Set b2TOIInput first b2DistanceProxy
///
/// @param input The b2TOIInput instance
/// @param proxyA The first b2DistanceProxy
void b2TOIInput_SetProxyA(b2TOIInput *input, b2DistanceProxy *proxyA);

/// \brief Return b2TOIInput first b2DistanceProxy
/// 
/// @param input The b2TIInput instance.
/// @param outProxy A pre initialized b2DistanceProxy to put the result into.
void b2TOIInput_GetProxyA(b2TOIInput *input, b2DistanceProxy *outProxy);

/// \brief Set b2TOIInput second b2DistanceProxy
///
/// @param input The b2TOIInput instance
/// @param proxyA The first b2DistanceProxy
void b2TOIInput_SetProxyB(b2TOIInput *input, b2DistanceProxy *proxyB);

/// \brief Return b2TOIInput second b2DistanceProxy
/// 
/// @param input The b2TIInput instance.
/// @param outProxy A pre initialized b2DistanceProxy to put the result into.
void b2TOIInput_GetProxyB(b2TOIInput *input, b2DistanceProxy *outProxy);

/// \brief Set b2TOIInput first b2Sweep
///
/// @param input The b2TOIInput instance
/// @param sweepA The newt first b2Sweep value
void b2TOIInput_SetSweepA(b2TOIInput *input, b2Sweep *sweepA);

/// \brief Return b2TOIInput first b2Sweep value
/// 
/// @param input The b2TIInput instance.
/// @param outSweep A pre initialized b2Sweep to put the result into.
void b2TOIInput_GetSweepA(b2TOIInput *input, b2Sweep *outSweep);

/// \brief Set b2TOIInput second b2Sweep
///
/// @param input The b2TOIInput instance
/// @param sweepA The newt second b2Sweep value
void b2TOIInput_SetSweepB(b2TOIInput *input, b2Sweep *sweepB);

/// \brief Return b2TOIInput second b2Sweep value
/// 
/// @param input The b2TIInput instance.
/// @param outSweep A pre initialized b2Sweep to put the result into.
void b2TOIInput_GetSweepB(b2TOIInput *input, b2Sweep *outSweep);

/// \brief Set b2TOIInput tMax value
///
/// @param b2TOIInput *input The b2TOIInput instance
/// @param tMax The tMax value, defines sweep interval [0, tMax]
void b2TOIInput_SetTMax(b2TOIInput *input, var tMax);

/// \brief Get b2TOIInput tMax value
///
/// @param b2TOIInput *input The b2TOIInput instance
/// @return current tMax value
var b2TOIInput_GetTMax(b2TOIInput *input);

#endif //__B2_TOIINPUT_H__
