#ifndef __B2_TIME_OF_IMPACT_H__
#define __B2_TIME_OF_IMPACT_H__

/// \brief Compute the upper bound on time before two shapes penetrate.
///
/// Time is represented as a fraction between [0,tMax]. This uses a swept separating axis and may miss some intermediate,
/// non-tunneling collision. If you change the time interval, you should call this function
/// again.
/// Note: use b2Distance to compute the contact point and normal at the time of impact.
void b2TimeOfImpact(b2TOIOutput* output, const b2TOIInput* input);

#endif //__B2_TIME_OF_IMPACT_H__
