#ifndef __B2_SETTINGS_H__
#define __B2_SETTINGS_H__

typedef unsigned char uint8;
typedef unsigned short uint16;
typedef unsigned int uint32;
typedef float float32;

//////////////////////////////
// Body type
//////////////////////////////
#define B2_STATICBODY       0
#define B2_KINEMATICBODY    1
#define B2_DYNAMICBODY      2

//////////////////////////////
// Shape type
//////////////////////////////
#define E_UNKNOWN   -1
#define E_CIRCLE    0
#define E_POLYGON   1
#define E_TYPECOUNT 2

//////////////////////////////
// Joint type
//////////////////////////////
#define E_UNKNOWNJOINT		0
#define E_REVOLUTEJOINT 	1
#define E_PRISMATICJOINT 	2
#define E_DISTANCEJOINT 	3
#define E_PULLEYJOINT 		4
#define E_MOUSEJOINT 		5
#define E_GEARJOINT 			6
#define E_LINEJOINT 			7
#define E_WELDJOINT 			8
#define E_FRICTIONJOINT 	9

//////////////////////////////
// Limit state
//////////////////////////////
#define E_INACTIVELIMIT		0 
#define E_ATLOWERLIMIT		1
#define E_ATUPPERLIMIT		2
#define E_EQUALLIMITS		3

//////////////////////////////
// Debug draw
//////////////////////////////
#define E_SHAPEBIT			0x0001 ///< DRAW SHAPES
#define E_JOINTBIT			0x0002 ///< DRAW JOINT CONNECTIONS
#define E_AABBBIT				0x0004 ///< DRAW AXIS ALIGNED BOUNDING BOXES
#define E_PAIRBIT				0x0008 ///< DRAW BROAD-PHASE PAIRS
#define E_CENTEROFMASSBIT	0x0010 ///< DRAW CENTER OF MASS FRAME

//////////////////////////////
// b2TOIOutput
//////////////////////////////
#define E_TOI_UNKNOWN		0
#define E_TOI_FAILED			1
#define E_TOI_OVERLAPPED	2
#define E_TOI_TOUCHING		3
#define E_TOI_SEPARATED		4

//////////////////////////////
// b2Manifold
//////////////////////////////
#define E_CIRCLES				0
#define E_FACEA				1
#define E_FACEB				2

//////////////////////////////
// PointState
//////////////////////////////
#define B2_NULLSTATE			0 ///< point does not exist
#define B2_ADDSTATE			1 ///< point was added in the update
#define B2_PERSISTSTATE		2 ///< point persisted across the update	
#define B2_REMOVESTATE		3 ///< point was removed in the update	

#endif // __B2_SETTINGS_H__
