#ifndef __B2_TRANSFORM_H__
#define __B2_TRANSFORM_H__

/// The default constructor does nothing (for performance).
b2Transform *b2Transform_Create();

/// Initialize using a position vector and a rotation matrix.
b2Transform *b2Transform_Create2(const VECTOR *position, const VECTOR *R);

/// Destroy transform
void b2Transform_Destroy(b2Transform *transform);

/// Set this to the identity transform.
void b2Transform_SetIdentity(b2Transform *transform);

/// Set this based on the position and angle.
void b2Transform_Set(b2Transform *transform, const VECTOR *p, var angle);

/// Set the rotation matrix from an angle
void b2Transform_SetAngle(b2Transform *transform, var angle);

/// Calculate the angle that the rotation matrix represents.
var b2Transform_GetAngle(b2Transform *transform);

/// Set the position
void b2Transform_SetPosition(b2Transform *transform, VECTOR *p);

/// Get the position
void b2Transform_GetPosition(b2Transform *transform, VECTOR *outPosition);

/// Set the rotation matrix
void b2Transform_SetRotationMat(b2Transform *transform, VECTOR *R);

/// Get the rotation matrix
void b2Transform_GetRotationMat(b2Transform *transform, VECTOR *outR);

#endif // __B2_TRANSFORM_H__
