#ifndef __ACK_DEBUG_DRAW_H__
#define __ACK_DEBUG_DRAW_H__

/// \brief Create debugDraw class
///
/// @param world_scale The drawing scale
ackDebugDraw* ackDebugDraw_Create(var world_scale);

/// \brief Delete a debugDraw inatance
///
/// @param debug The ackDebugDraw pointer
void ackDebugDraw_Destroy(ackDebugDraw *debug);

/// \brief Set the world scale
///
/// @param debug The ackDebugDraw pointer
/// @param world_scale The world scale
void ackDebugDraw_SetWorldScale(ackDebugDraw *debug, var world_scale);

/// \brief Get the world scale
///
/// @param debug The ackDebugDraw pointer
/// @return world_scale The drawing world scale
var ackDebugDraw_GetWorldScale(ackDebugDraw *debug);

/// \brief Set the draw alpha
///
/// @param debug The ackDebugDraw pointer
/// @param alpha The drawing alpha
void ackDebugDraw_SetAlpha(ackDebugDraw *debug, var alpha);

/// \brief Get the drawing alpha
///
/// @param debug The ackDebugDraw pointer
/// @return alpha The drawing alpha
var ackDebugDraw_GetAlpha(ackDebugDraw *debug);

/// \brief Set the drawing flags.
///
/// @param debug The ackDebugDraw instance
/// @param flags The flags to be set
#define ackDebugDraw_SetFlags(debug, flags) b2DebugDraw_SetFlags(debug, flags)

/// \brief Get the drawing flags.
///
/// @param debug The ackDebugDraw instance
/// @return The current debug flags
#define ackDebugDraw_GetFlags(debug) b2DebugDraw_GetFlags(flags)
	
/// \brief Append flags to the current flags.
///
/// @param debug The ackDebugDraw instance
/// @param flags The flags to be appended
#define ackDebugDraw_AppendFlags(debug, flags) b2DebugDraw_AppendFlags(debug, flags)

#endif // __ACK_DEBUG_DRAW_H__
