#ifndef __B2_CONTACT_FILTER_H__
#define __B2_CONTACT_FILTER_H__

/// Create b2ContactFilter.
/// Functions can be implemented.
/// Callback signatures : 
/// - var contactFilterCallback(b2Fixture* fixtureA, b2Fixture* fixtureB, void *userData);
b2ContactFilter* b2ContactFilter_Create(void *callback);

/// Destroy b2ContactFilter
void b2ContactFilter_Destroy(b2ContactFilter *filter);

/// Set userData
/// user data is passed to the callback functions
void b2ContactFilter_SetUserData(b2ContactFilter *filter, void *userData);

/// Get userData
/// user data is passed to the callback functions
void* b2ContactFilter_GetUserData(b2ContactFilter *filter);

/// Set Fixture Callback
/// Callback functions are called by the physics engine
/// @param callback The callback function signature :
/// - var contactFilterCallback(b2Fixture* fixtureA, b2Fixture* fixtureB, void *userData);
void b2ContactFilter_SetFilterCallback(b2ContactFilter *listener, void *callback);

/// Get Fixture Callback
/// Callback functions are called by the physics engine
void* b2ContactFilter_GetFilterCallback(b2ContactFilter *listener);

/// Set Callbacks
/// Callback functions are called by the physics engine
/// @param callback The callback function signature :
/// - var contactFilterCallback(b2Fixture* fixtureA, b2Fixture* fixtureB, void *userData);
void b2ContactFilter_SetCallback(b2ContactFilter *filter, void *callback);


#endif // __B2_CONTACT_FILTER_H__
