#ifndef __B2_QUERY_CALLBACK_H__
#define __B2_QUERY_CALLBACK_H__

/// Create b2QueryCallback.
/// Functions can be implemented.
/// Callback signatures : 
/// - var ReportFixtureCallback(b2Fixture* fixture, void *userData);
b2QueryCallback* b2QueryCallback_Create(void *callback);

/// Destroy b2QueryCallback
void b2QueryCallback_Destroy(b2QueryCallback *query);

/// Set userData
/// user data is passed to the callback functions
void b2QueryCallback_SetUserData(b2QueryCallback *query, void *userData);

/// Get userData
/// user data is passed to the callback functions
void* b2QueryCallback_GetUserData(b2QueryCallback *query);

/// Set Fixture Callback
/// Callback functions are called by the physics engine
void b2QueryCallback_SetReportFixtureCallback(b2QueryCallback *query, void *callback);

/// Get Fixture Callback
/// Callback functions are called by the physics engine
void* b2QueryCallback_GetReportFixtureCallback(b2QueryCallback *query);

/// Set Callbacks
/// Callback functions are called by the physics engine
void b2QueryCallback_SetCallback(b2QueryCallback *query, void *callback);

#endif // __B2_QUERY_CALLBACK_H__
