#ifndef __B2_RAYCAST_CALLBACK_H__
#define __B2_RAYCAST_CALLBACK_H__

/// Create b2RayCastCallback.
/// Functions can be implemented.
/// Callback signatures : 
/// - var rayCastFixtureCallback(b2Fixture* fixture, const VECTOR *point, const VECTOR *normal, var fraction, void *userData);
b2RayCastCallback* b2RayCastCallback_Create(void *callback);

/// Destroy b2RayCastCallback
void b2RayCastCallback_Destroy(b2RayCastCallback *rayCast);

/// Set userData
/// user data is passed to the callback functions
void b2RayCastCallback_SetUserData(b2RayCastCallback *rayCast, void *userData);

/// Get userData
/// user data is passed to the callback functions
void* b2RayCastCallback_GetUserData(b2RayCastCallback *rayCast);

/// Set Fixture Callback
/// Callback functions are called by the physics engine
void b2RayCastCallback_SetReportFixtureCallback(b2RayCastCallback *rayCast, void *callback);

/// Get Fixture Callback
/// Callback functions are called by the physics engine
void* b2RayCastCallback_GetReportFixtureCallback(b2RayCastCallback *rayCast);

/// Set Callbacks
/// Callback functions are called by the physics engine
void b2RayCastCallback_SetCallback(b2RayCastCallback *rayCast, void *callback);

#endif // __B2_RAYCAST_CALLBACK_H__
