#ifndef __B2_DISTANCE_JOINT_H__
#define __B2_DISTANCE_JOINT_H__

// Get anchorA
void b2Distancejoint_GetAnchorA(b2DistanceJoint *joint, VECTOR *outAnchor);

// Get anchorB
void b2Distancejoint_GetAnchorB(b2DistanceJoint *joint, VECTOR *outAnchor);

void b2Distancejoint_GetReactionForce(b2DistanceJoint *joint, var inv_dt, VECTOR *outReactionForce);

var b2Distancejoint_GetReactionTorque(b2DistanceJoint *joint, var inv_dt);

/// Set/get the natural length.
/// Manipulating the length can lead to non-physical behavior when the frequency is zero.
void b2Distancejoint_SetLength(b2DistanceJoint *joint, var length);

var b2Distancejoint_GetLength(b2DistanceJoint *joint);

// Set/get frequency in Hz.
void b2Distancejoint_SetFrequency(b2DistanceJoint *joint, var hz);

var b2Distancejoint_GetFrequency(b2DistanceJoint *joint);

// Set/get damping ratio.
void b2Distancejoint_SetDampingRatio(b2DistanceJoint *joint, var ratio);

var b2Distancejoint_GetDampingRatio(b2DistanceJoint *joint);

#endif // __B2_DISTANCE_JOINT_H__
