#ifndef __B2_FRICTION_JOINT_H__
#define __B2_FRICTION_JOINT_H__

/// Get anchorA
void b2FrictionJoint_GetAnchorA(b2FrictionJoint *joint, VECTOR *outAnchor);

/// Get anchorB
void b2FrictionJoint_GetAnchorB(b2FrictionJoint *joint, VECTOR *outAnchor);

/// Get reaction force
void b2FrictionJoint_GetReactionForce(b2FrictionJoint *joint, var inv_dt, VECTOR *outReactionForce);

/// Get reaction torque
var b2FrictionJoint_GetReactionTorque(b2FrictionJoint *joint, var inv_dt);

/// Set the maximum friction force in N.
void b2FrictionJoint_SetMaxForce(b2FrictionJoint *joint, var maxForce);

/// Get the maximum friction force in N.
var b2FrictionJoint_GetMaxForce(b2FrictionJoint *joint);

/// Set the maximum friction torque in N*m.
void b2FrictionJoint_SetMaxTorque(b2FrictionJoint *joint, var maxTorque);

/// Get the maximum friction torque in N*m.
var b2FrictionJoint_GetMaxTorque(b2FrictionJoint *joint);

#endif // __B2_FRICTION_JOINT_H__
