#ifndef __B2_FRICTION_JOINT_DEF_H__
#define __B2_FRICTION_JOINT_DEF_H__

/// Create b2FrictionJointDef
b2FrictionJointDef* b2FrictionJointDef_Create();

/// Destroy b2FrictionJointDef
/// @param def the joint definition.
void b2FrictionJointDef_Destroy(b2FrictionJointDef *def);

/// Initialize the bodies, anchors, axis, and reference angle using the world
/// anchor and world axis.
void b2FrictionJointDef_Initialize(b2FrictionJointDef *def, b2Body* bodyA, b2Body* bodyB, const VECTOR *anchor);

/// The local anchor point relative to body1's origin.
void b2FrictionJointDef_SetLocalAnchorA(b2FrictionJointDef *def, VECTOR *localAnchor);

/// The local anchor point relative to body1's origin.
void b2FrictionJointDef_GetLocalAnchorA(b2FrictionJointDef *def, VECTOR *outLocalAnchor);

/// The local anchor point relative to body1's origin.
void b2FrictionJointDef_SetLocalAnchorB(b2FrictionJointDef *def, VECTOR *localAnchor);

/// The local anchor point relative to body2's origin.
void b2FrictionJointDef_GetLocalAnchorB(b2FrictionJointDef *def, VECTOR *outLocalAnchor);

/// The maximum friction force in N.
void b2FrictionJointDef_SetMaxForce(b2FrictionJointDef *def, var maxForce);

/// The maximum friction force in N.
var b2FrictionJointDef_GetMaxForce(b2FrictionJointDef *def);

/// The maximum friction torque in N-m.
void b2FrictionJointDef_SetMaxTorque(b2FrictionJointDef *def, var maxTorque);

/// The maximum friction torque in N-m.
var b2FrictionJointDef_GetMaxTorque(b2FrictionJointDef *def);


#endif // __B2_FRICTION_JOINT_DEF_H__
