#ifndef __B2_LINE_JOINT_H__
#define __B2_LINE_JOINT_H__

/// Get anchorA
void b2LineJoint_GetAnchorA(b2LineJoint *joint, VECTOR *outAnchor);

/// Get anchorB
void b2LineJoint_GetAnchorB(b2LineJoint *joint, VECTOR *outAnchor);

/// Get reaction force
void b2LineJoint_GetReactionForce(b2LineJoint *joint, var inv_dt, VECTOR *outReactionForce);

/// Get reaction torque
var b2LineJoint_GetReactionTorque(b2LineJoint *joint, var inv_dt);

/// Get the current joint translation, usually in meters.
var b2LineJoint_GetJointTranslation(b2LineJoint *joint);

/// Get the current joint translation speed, usually in meters per second.
var b2LineJoint_GetJointSpeed(b2LineJoint *joint);

/// Is the joint limit enabled?
var b2LineJoint_IsLimitEnabled(b2LineJoint *joint);

/// Enable/disable the joint limit.
void b2LineJoint_EnableLimit(b2LineJoint *joint, var flag);

/// Get the lower joint limit, usually in meters.
var b2LineJoint_GetLowerLimit(b2LineJoint *joint);

/// Get the upper joint limit, usually in meters.
var b2LineJoint_GetUpperLimit(b2LineJoint *joint);

/// Set the joint limits, usually in meters.
void b2LineJoint_SetLimits(b2LineJoint *joint, var lower, var upper);

/// Is the joint motor enabled?
var b2LineJoint_IsMotorEnabled(b2LineJoint *joint);

/// Enable/disable the joint motor.
void b2LineJoint_EnableMotor(b2LineJoint *joint, var flag);

/// Set the motor speed, usually in meters per second.
void b2LineJoint_SetMotorSpeed(b2LineJoint *joint, var speed);

/// Get the motor speed, usually in meters per second.
var b2LineJoint_GetMotorSpeed(b2LineJoint *joint);

/// Set the maximum motor force, usually in N.
void b2LineJoint_SetMaxMotorForce(b2LineJoint *joint, var force);

/// Set the maximum motor force, usually in N.
var b2LineJoint_GetMaxMotorForce(b2LineJoint *joint);

/// Get the current motor force, usually in N.
var b2LineJoint_GetMotorForce(b2LineJoint *joint);

#endif // __B2_LINE_JOINT_H__
