#ifndef __B2_MOUSE_JOINT_H__
#define __B2_MOUSE_JOINT_H__

/// Get anchorA
void b2MouseJoint_GetAnchorA(b2MouseJoint *joint, VECTOR *outAnchor);

/// Get anchorB
void b2MouseJoint_GetAnchorB(b2MouseJoint *joint, VECTOR *outAnchor);

/// Get reaction force
void b2MouseJoint_GetReactionForce(b2MouseJoint *joint, var inv_dt, VECTOR *outReactionForce);

/// Get reaction torque
var b2MouseJoint_GetReactionTorque(b2MouseJoint *joint, var inv_dt);

/// Use this to update the target point.
void b2MouseJoint_SetTarget(b2MouseJoint *joint, const VECTOR *target);

void b2MouseJoint_GetTarget(b2MouseJoint *joint, VECTOR *outTarget);

/// Set the maximum force in Newtons.
void b2MouseJoint_SetMaxForce(b2MouseJoint *joint, var force);

/// Get the maximum force
var b2MouseJoint_GetMaxForce(b2MouseJoint *joint);

/// Set/get the frequency in Hertz.
void b2MouseJoint_SetFrequency(b2MouseJoint *joint, var hz);

var b2MouseJoint_GetFrequency(b2MouseJoint *joint);

/// Set/get the damping ratio (dimensionless).
void b2MouseJoint_SetDampingRatio(b2MouseJoint *joint, var ratio);

var b2MouseJoint_GetDampingRatio(b2MouseJoint *joint);

#endif // __B2_MOUSE_JOINT_H__
