#ifndef __B2_MOUSE_JOINT_DEF_H__
#define __B2_MOUSE_JOINT_DEF_H__

/// Create b2MouseJointDef
b2MouseJointDef* b2MouseJointDef_Create();

/// Destroy b2MouseJointDef
/// @param def the joint definition.
void b2MouseJointDef_Destroy(b2MouseJointDef *def);

/// The initial world target point. This is assumed
/// to coincide with the body anchor initially.
void b2MouseJointDef_SetTarget(b2MouseJointDef *def, const VECTOR *target);

/// Get target
void b2MouseJointDef_GetTarget(b2MouseJointDef *def, VECTOR *outTarget);

/// The maximum constraint force that can be exerted
/// to move the candidate body. Usually you will express
/// as some multiple of the weight (multiplier * mass * gravity).
void b2MouseJointDef_SetMaxForce(b2MouseJointDef *def, var maxForce);

/// Get maxForce
var b2MouseJointDef_GetMaxForce(b2MouseJointDef *def);

/// The response speed.
void b2MouseJointDef_SetFrequencyHz(b2MouseJointDef *def, var frequencyHz);

/// Get frequencyHz
var b2MouseJointDef_GetFrequencyHz(b2MouseJointDef *def);

/// The damping ratio. 0 = no damping, 1 = critical damping.
void b2MouseJointDef_SetDampingRatio(b2MouseJointDef *def, var dampingRatio);

/// Get dampingRatio
var b2MouseJointDef_GetDampingRatio(b2MouseJointDef *def);

#endif // __B2_MOUSE_JOINT_DEF_H__
