#ifndef __B2_PRISMATIC_JOINT_H__
#define __B2_PRISMATIC_JOINT_H__

/// Get Anchor A
void b2PrismaticJoint_GetAnchorA(b2PrismaticJoint *joint, VECTOR *outAnchor);

/// Get Anchor B
void b2PrismaticJoint_GetAnchorB(b2PrismaticJoint *joint, VECTOR *outAnchor);

/// Get ReactionForce
void b2PrismaticJoint_GetReactionForce(b2PrismaticJoint *joint, var inv_dt, VECTOR *outReactionForce);

/// Get ReactionTorque
var b2PrismaticJoint_GetReactionTorque(b2PrismaticJoint *joint, var inv_dt);

/// Get the current joint translation, usually in meters.
var b2PrismaticJoint_GetJointTranslation(b2PrismaticJoint *joint);

/// Get the current joint translation speed, usually in meters per second.
var b2PrismaticJoint_GetJointSpeed(b2PrismaticJoint *joint);

/// Is the joint limit enabled?
var b2PrismaticJoint_IsLimitEnabled(b2PrismaticJoint *joint);

/// Enable/disable the joint limit.
void b2PrismaticJoint_EnableLimit(b2PrismaticJoint *joint, var flag);

/// Get the lower joint limit, usually in meters.
var b2PrismaticJoint_GetLowerLimit(b2PrismaticJoint *joint);

/// Get the upper joint limit, usually in meters.
var b2PrismaticJoint_GetUpperLimit(b2PrismaticJoint *joint);

/// Set the joint limits, usually in meters.
void b2PrismaticJoint_SetLimits(b2PrismaticJoint *joint, var lower, var upper);

/// Is the joint motor enabled?
var b2PrismaticJoint_IsMotorEnabled(b2PrismaticJoint *joint);

/// Enable/disable the joint motor.
void b2PrismaticJoint_EnableMotor(b2PrismaticJoint *joint, var flag);

/// Set the motor speed, usually in meters per second.
void b2PrismaticJoint_SetMotorSpeed(b2PrismaticJoint *joint, var speed);

/// Get the motor speed, usually in meters per second.
var b2PrismaticJoint_GetMotorSpeed(b2PrismaticJoint *joint);

/// Set the maximum motor force, usually in N.
void b2PrismaticJoint_SetMaxMotorForce(b2PrismaticJoint *joint, var force);

/// Get the current motor force, usually in N.
var b2PrismaticJoint_GetMotorForce(b2PrismaticJoint *joint);

#endif // __B2_PRISMATIC_JOINT_H__
