#ifndef __B2_PULLEY_JOINT_H__
#define __B2_PULLEY_JOINT_H__

/// Get Anchor A
void b2PulleyJoint_GetAnchorA(b2PulleyJoint *joint, VECTOR *outAnchorA);

/// Get Anchor B
void b2PulleyJoint_GetAnchorB(b2PulleyJoint *joint, VECTOR *outAnchorB);

/// Reaction force
void b2PulleyJoint_GetReactionForce(b2PulleyJoint *joint, var inv_dt, VECTOR *outReactionForce);

/// Reaction torque
var b2PulleyJoint_GetReactionTorque(b2PulleyJoint *joint, var inv_dt);

/// Get the first ground anchor.
void b2PulleyJoint_GetGroundAnchorA(b2PulleyJoint *joint, VECTOR *outAnchorA);

/// Get the second ground anchor.
void b2PulleyJoint_GetGroundAnchorB(b2PulleyJoint *joint, VECTOR *outAnchorB);

/// Get the current length of the segment attached to body1.
var b2PulleyJoint_GetLength1(b2PulleyJoint *joint);

/// Get the current length of the segment attached to body2.
var b2PulleyJoint_GetLength2(b2PulleyJoint *joint);

/// Get the pulley ratio.
var b2PulleyJoint_GetRatio(b2PulleyJoint *joint);

#endif // __B2_PULLEY_JOINT_H__
