#ifndef __B2_REVOLUTE_JOINT_H__
#define __B2_REVOLUTE_JOINT_H__

/// Get Anchor A
void b2RevoluteJoint_GetAnchorA(b2RevoluteJoint *joint, VECTOR *outAnchorA);

/// Get Anchor B
void b2RevoluteJoint_GetAnchorB(b2RevoluteJoint *joint, VECTOR *outAnchorB);

/// Get Reaction force
void b2RevoluteJoint_GetReactionForce(b2RevoluteJoint *joint, var inv_dt, VECTOR *outReactionForce);

/// Get Reaction torque
var b2RevoluteJoint_GetReactionTorque(b2RevoluteJoint *joint, var inv_dt);

/// Get the current joint angle in radians.
var b2RevoluteJoint_GetJointAngle(b2RevoluteJoint *joint);

/// Get the current joint angle speed in radians per second.
var b2RevoluteJoint_GetJointSpeed(b2RevoluteJoint *joint);

/// Is the joint limit enabled?
var b2RevoluteJoint_IsLimitEnabled(b2RevoluteJoint *joint);

/// Enable/disable the joint limit.
void b2RevoluteJoint_EnableLimit(b2RevoluteJoint *joint, var flag);

/// Get the lower joint limit in radians.
var b2RevoluteJoint_GetLowerLimit(b2RevoluteJoint *joint);

/// Get the upper joint limit in radians.
var b2RevoluteJoint_GetUpperLimit(b2RevoluteJoint *joint);

/// Set the joint limits in radians.
void b2RevoluteJoint_SetLimits(b2RevoluteJoint *joint, var lower, var upper);

/// Is the joint motor enabled?
var b2RevoluteJoint_IsMotorEnabled(b2RevoluteJoint *joint);

/// Enable/disable the joint motor.
void b2RevoluteJoint_EnableMotor(b2RevoluteJoint *joint, var flag);

/// Set the motor speed in radians per second.
void b2RevoluteJoint_SetMotorSpeed(b2RevoluteJoint *joint, var speed);

/// Get the motor speed in radians per second.
var b2RevoluteJoint_GetMotorSpeed(b2RevoluteJoint *joint);

/// Set the maximum motor torque, usually in N-m.
void b2RevoluteJoint_SetMaxMotorTorque(b2RevoluteJoint *joint, var torque);

/// Get the current motor torque, usually in N-m.
var b2RevoluteJoint_GetMotorTorque(b2RevoluteJoint *joint);

#endif // __B2_REVOLUTE_JOINT_H__
