#ifndef __B2_WELD_JOINT_DEF_H__
#define __B2_WELD_JOINT_DEF_H__

/// Create b2WeldJoint
b2WeldJointDef *b2WeldJointDef_Create();

/// Destroy b2WeldJoint
void b2WeldJointDef_Destroy(b2WeldJointDef *def);

/// Initialize the bodies, anchors, and reference angle using a world
/// anchor point.
void b2WeldJointDef_Initialize(b2WeldJointDef *def, b2Body* body1, b2Body* body2, const VECTOR *anchor);

/// Set local anchor A
/// The local anchor point relative to body1's origin.
void b2WeldJointDef_SetLocalAnchorA(b2WeldJointDef *def, const VECTOR *localAnchor);

/// Get local anchor A
/// The local anchor point relative to body1's origin.
void b2WeldJointDef_GetLocalAnchorA(b2WeldJointDef *def, VECTOR *outLocalAnchor);

/// Set local anchor B
/// The local anchor point relative to body2's origin.
void b2WeldJointDef_SetLocalAnchorB(b2WeldJointDef *def, const VECTOR *localAnchor);

/// Get local anchor B
/// The local anchor point relative to body2's origin.
void b2WeldJointDef_GetLocalAnchorB(b2WeldJointDef *def, VECTOR *outLocalAnchor);

/// The body2 angle minus body1 angle in the reference state (radians).
void b2WeldJointDef_SetReferenceAngle(b2WeldJointDef *def, var referenceAngle);

/// The body2 angle minus body1 angle in the reference state (radians).
var b2WeldJointDef_GetReferenceAngle(b2WeldJointDef *def);

#endif // __B2_WELD_JOINT_DEF_H__
