#ifndef __B2_FILTER_H__
#define __B2_FILTER_H__

/// \brief Create a b2Filter instance
b2Filter *b2Filter_Create();

/// \brief Destroy Current b2Filter instance
///
/// @param filter current filter instance
void b2Filter_Destroy(b2Filter *filter);

/// \brief Set b2Filter categoryBits
///
/// @param filter Current filter instance
/// @param categoryBits The new categoryBits value
void b2Filter_SetCategoryBits(b2Filter *filter, var categoryBits);

/// \brief Get b2Filter categoryBits
///
/// @param filter Current filter instance
/// @return The current categoryBits value
var b2Filter_GetCategoryBits(b2Filter *filter);

/// \brief Set b2Filter maskBits
///
/// @param filter Current filter instance
/// @param categoryBits The new maskBits value
void b2Filter_SetMaskBits(b2Filter *filter, var maskBits);

/// \brief Get b2Filter maskBits
///
/// @param filter Current filter instance
/// @return The current maskbits value
var b2Filter_GetMaskBits(b2Filter *filter);

/// \brief Set b2Filter groupIndex
///
/// @param filter Current filter instance
/// @param categoryBits The new groupIdnex value
void b2Filter_SetGroupIndex(b2Filter *filter, var groupIndex);

/// \brief Get b2Filter groupIndex
///
/// @param filter Current filter instance
/// @return The current groupIndex value
var b2Filter_GetGroupIndex(b2Filter *filter);

#endif // __B2_FILTER_H__
