#include <acknex.h>
#include <default.c>

#define PRAGMA_PATH "..\\include\\Box2D";
#include "ackb2d.h"

// Main test
void main()
{
	// Set video mode
	video_mode = 2;
	
	wait(1);
		
	//////////////////////////////
	// Testing Hello world
	//////////////////////////////
	b2World *world = NULL;
	VECTOR gravity;
	vec_set(&gravity, vector(0.0, -10.0, 0.0));
	var do_sleep = 1;
	
	world = b2World_Create(&gravity, do_sleep);
	
	
	/// Body def
	b2BodyDef *groundBodyDef = NULL;
	groundBodyDef = b2BodyDef_Create();
	b2BodyDef_SetPosition(groundBodyDef, vector(0.0, -10.0, 0.0));
	
	/// Body
	b2Body *groundBody = b2World_CreateBody(world, groundBodyDef);
	
	/// Ground Polygon
	b2PolygonShape *groundBox = NULL;
	groundBox = b2PolygonShape_Create();
	b2PolygonShape_SetAsBox1(groundBox, 50.0, 10.0);
	
	b2Body_CreateFixture2(groundBody, groundBox, 0);
	
	//////////////////////////////
	// Create dynamic ody
	//////////////////////////////
	b2BodyDef *bodyDef = NULL;
	bodyDef = b2BodyDef_Create();
	b2BodyDef_SetType(bodyDef, B2_DYNAMICBODY);
	b2BodyDef_SetPosition(bodyDef, vector(0.0, 4, 0.0));
	// Body
	b2Body *body = b2World_CreateBody(world, bodyDef);
	
	/// Box Polygon
	b2PolygonShape *dynamicBox = NULL;
	dynamicBox = b2PolygonShape_Create();
	b2PolygonShape_SetAsBox1(dynamicBox, 1.0, 1.0);
	
	// Fixture
	b2FixtureDef *fixtureDef = NULL;
	fixtureDef = b2FixtureDef_Create();
	b2FixtureDef_SetShape(fixtureDef, dynamicBox);
	b2FixtureDef_SetDensity(fixtureDef, 1.0);
	b2FixtureDef_SetFriction(fixtureDef, 0.3);
	
	b2Body_CreateFixture(body, fixtureDef);
	
	fps_max = 60;
	
	var velocity_iterations = 6;
	var position_iteration = 2;
	var timeStep = 1.0 / 60.0;
	
	int i = 0;
	for (i = 0; i<60; i++)
	{
		b2World_Step(world, timeStep, velocity_iterations, position_iteration);
		b2World_ClearForces(world);
		
		VECTOR position;
		b2Body_GetPosition(body, &position);
		var angle = b2Body_GetAngle(body);
		printf("%4.2f %4.2f %4.2f\n", (double)position.x, (double)position.y, (double)angle);
	}
	
	//////////////////////////////
	// Destroy world
	//////////////////////////////	
	b2World_Destroy(world);
}
