#ifndef __TEST_POLY_COLLISION_H__
#define __TEST_POLY_COLLISION_H__

/// \brief default variables for poly collision test
DEF_VARIABLES poly_def_vars;

/// Current test variables
struct POLY_VARS
{
	b2PolygonShape *m_polygonA;
	b2PolygonShape *m_polygonB;
	
	b2Transform *m_TransformA;
	b2Transform *m_TransformB;
	
	VECTOR m_positionB;
	var m_angleB;
} poly_vars;

/// \brief Init poly collision test
void poly_collision_init()
{
	deftest_init(&poly_def_vars);
	DEF_VARIABLES *vars = &poly_def_vars;
	
	// Set title
	str_cpy(str_test_name, "Poly collision");
	
	poly_vars.m_polygonA = b2PolygonShape_Create();	
	poly_vars.m_polygonB = b2PolygonShape_Create();
	
	poly_vars.m_TransformA = b2Transform_Create();	
	poly_vars.m_TransformB = b2Transform_Create();
	
	// Init
	
}

/// \brief Update current test suite
void poly_collision_update()
{
	deftest_update(&poly_def_vars);
}

/// \brief Clean current test suite
void poly_collision_exit()
{
	deftest_exit(&poly_def_vars);
	
	// Destroy current test variables
	if (poly_vars.m_polygonA != NULL)
	{
		b2PolygonShape_Destroy(poly_vars.m_polygonA);
	}
	
	if (poly_vars.m_polygonB != NULL)
	{
		b2PolygonShape_Destroy(poly_vars.m_polygonB);
	}
	
	if (poly_vars.m_TransformA != NULL)
	{
		b2Transform_Destroy(poly_vars.m_TransformA);
	}
	
	if (poly_vars.m_TransformB != NULL)
	{
		b2Transform_Destroy(poly_vars.m_TransformB);
	}
}

#endif // __TEST_POLY_COLLISION_H__
